Package com.google.android.exoplayer2.text

## Class CueGroup

- java.lang.Object
- - com.google.android.exoplayer2.text.CueGroup

- All Implemented Interfaces:
    `Bundleable`

      public final class CueGroup
      extends Object
      implements Bundleable

  Class to represent the state of active `Cues` at a particular time.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.google.android.exoplayer2.Bundleable

      `Bundleable.Creator<T extends Bundleable>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Bundleable.Creator<CueGroup>` | `CREATOR` |
    `ImmutableList<Cue>` | `cues` | The cues in this group.
    `static CueGroup` | `EMPTY_TIME_ZERO` | An empty group with no `Cues` and presentation time of zero.
    `long` | `presentationTimeUs` | The presentation time of the `cues`, in microseconds.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CueGroup​(List<Cue> cues, long presentationTimeUs)` | Creates a CueGroup.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Bundle` | `toBundle()` | Returns a `Bundle` representing the information stored in this object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY_TIME_ZERO

          public static final CueGroup EMPTY_TIME_ZERO

      An empty group with no `Cues` and presentation time of zero.

    - #### cues

          public final ImmutableList<Cue> cues

      The cues in this group.

      This list is in ascending order of priority. If any of the cue boxes overlap when displayed, the `Cue` nearer the end of the list should be shown on top.

      This list may be empty if the group represents a state with no cues.

    - #### presentationTimeUs

          public final long presentationTimeUs

      The presentation time of the `cues`, in microseconds.

      This time is an offset from the start of the current `Timeline.Period`.

    - #### CREATOR

          public static final Bundleable.Creator<CueGroup> CREATOR

  - ### Constructor Detail

    - #### CueGroup

          public CueGroup​(List<Cue> cues,
                          long presentationTimeUs)

      Creates a CueGroup.

  - ### Method Detail

    - #### toBundle

          public Bundle toBundle()

      Description copied from interface: `Bundleable`
      Returns a `Bundle` representing the information stored in this object.
      Specified by:
        `toBundle` in interface `Bundleable`